package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店收货单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkMdshReceiptdocumentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkMdshReceiptdocument(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdshReceiptdocumentMapper.addSKcCrkMdshReceiptdocument", pd);
    }

    public List<PageData> findSKcCrkMdshReceiptdocumentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkMdshReceiptdocumentMapper.selectSKcCrkMdshReceiptdocumentList", pd);
    }

    public Integer SKcCrkMdshReceiptdocumentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkMdshReceiptdocumentMapper.SKcCrkMdshReceiptdocumentRemove", pd);
    }


    public Integer updateSKcCrkMdshReceiptdocument(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdshReceiptdocumentMapper.updateSKcCrkMdshReceiptdocument", pd);
    }

}
